/**
 * @(#)file    BidIngBiz.java
 * @(#)author  Son Hyung Min 
 * @(#)version 1.0
 * @(#)date    2014-06-23
 * @(#)since   JDK 1.4.2
 */
package kr.co.udapsoft.ebid.buyer.bid.outside.biz;



import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import oracle.toplink.internal.ox.StrBuffer;
import kr.co.hsnc.common.base.WAFLogger;
import kr.co.hsnc.common.sql.Row;
import kr.co.hsnc.common.sql.RowSet;
import kr.co.hsnc.common.sql.RowSetImpl;
import kr.co.hsnc.common.sql.WAFSQLException;
import kr.co.hsnc.common.sql.persistent.Persistent;
import kr.co.hsnc.common.sql.persistent.PersistentImpl;
import kr.co.hsnc.common.sql.search.Search;
import kr.co.hsnc.common.sql.search.SearchImpl;
import kr.co.hsnc.common.sql.util.RowSetUtility;
import kr.co.hsnc.common.util.ValueObject;
import kr.co.udapsoft.common.code.CommCodeManager;
import kr.co.udapsoft.ebid.buyer.common.file.FileManager;
import kr.co.udapsoft.ebid.buyer.sycs.user.biz.UserCommon;

import com.udapsoft.modular.web.ibsheet7.IBSheet7Factory;
import com.udapsoft.modular.web.ibsheet7.util.IBSheet7Utils;
import com.udapsoft.waf.system.Biz;
import com.udapsoft.waf.system.HandlerStorage;

   
public class ReBidBiz extends Biz {

	public ReBidBiz(HandlerStorage storage) {
		super(storage);
	}

	public void doBiz() throws Exception {
        ValueObject user = new ValueObject();
		
		if(storage.compareEvent("FORM_SELECT")){//견적의뢰
	            user = getOrderReqeustValueObject();
	            storage.addValueObject("Order", user);
	            /**		파일 목록 조회			 **/
		        storage.addValueObject(user.get("DOC_ETC_IN"), getfilelist(user.get("DOC_ETC_IN"),params.get("DEMANDED_ID"),user.get("DOC_ETC_IN")));
		        storage.addValueObject(user.get("DOC_ETC_OUT"), getfilelist(user.get("DOC_ETC_OUT"),params.get("DEMANDED_ID"),user.get("DOC_ETC_OUT")));
		}else if(storage.compareEvent("GET_CORP_LIST")){
			 params.set("sheet1", getCorpList(params.get("DEMANDED_ID")));
	         storage.addObject("ibsheet7Data", IBSheet7Factory.createIBSheet7(params, storage.request));
		}
		
	}
	
	private ValueObject getfilelist(String filegb,String id,String returnid){
		ValueObject vo = new ValueObject();
		RowSet rowSet = FileManager.getFileList(filegb, id);
		String str="";
	        for(int i=0;i<rowSet.size();i++){
	        	Row row=rowSet.getRow(i);
	        	str += (i+1)+" : "+row.get("FILE_NAME")+" ("+ row.get("FILE_SIZE")+")";
	        	if(i+1!=rowSet.size()){
	        		str +="\r\n";
	        	}
	        }
	        vo.set(returnid, str);
		return vo;
	}

	/**
	 * 발주의뢰(외주) 접수를 검색하여 리턴
	 * @param Params
	 * @return
	 */
	private RowSet getBoardList(ValueObject param) {

		Search search = new SearchImpl();
        RowSet rowSet = new RowSetImpl();
        
     //   String sqlstr = "";
        StrBuffer sqlstr = new StrBuffer();
        try{ 
        	sqlstr.append(" SELECT A.BID_DEG																															\n");
        	sqlstr.append("      , B.DEPT_NM																																\n");
        	sqlstr.append("      , A.BID_NO																																\n");
        	sqlstr.append("      , A.BID_MASTER_NM																													\n");
        	sqlstr.append("      , A.ONBID_YN																															\n");
        	sqlstr.append("      , TO_CHAR(A.REQUEST_DATE,'YYYY-MM-DD') AS REQUEST_DATE														\n");
        	sqlstr.append("      , TO_CHAR(A.RECEIPT_DATE,'YYYY-MM-DD') AS RECEIPT_DATE															\n");
        	sqlstr.append("      , A.STATUS_CD 																															\n");
        	sqlstr.append("      , F_GET_CODE_NAME('BID_STATUS_CD',STATUS_CD) AS STATUS_NM													\n");
        	sqlstr.append("      , A.DEMANDED_ID		 																												\n");
        	sqlstr.append("   FROM BID_MASTER A	, ACZ10100V B																									\n");
        	sqlstr.append("   WHERE A.DEPT_CD = B.DEPT_CD																										\n");
        	sqlstr.append("   AND A.STATUS_CD IN ('04','05','06')																							\n");
        	if(!param.get("P_DEPT_CD").isEmpty())
        		sqlstr.append("   AND A.DEPT_CD = '"+param.get("P_DEPT_CD")+"'																											\n");
        	if(!param.get("P_BID_MASTER_NM").isEmpty())
        		sqlstr.append("   AND A.BID_MASTER_NM LIKE '%'|| '"+param.get("P_BID_MASTER_NM")+"' ||'%'																						\n");
        	if(!param.get("P_DEMANDED_FROM_DT").isEmpty() && !param.get("P_DEMANDED_TO_DT").isEmpty())
        		sqlstr.append("   AND A.REQUEST_DATE BETWEEN  '"+param.get("P_DEMANDED_FROM_DT")+"' AND '"+param.get("P_DEMANDED_TO_DT")+"'		\n");
        	if(!param.get("P_RCEIPT_FROM_DT").isEmpty() && !param.get("P_RCEIPT_TO_DT").isEmpty())
        		sqlstr.append("   AND A.REQUEST_DATE BETWEEN  '"+param.get("P_RCEIPT_FROM_DT")+"' AND '"+param.get("P_RCEIPT_TO_DT")+"'					\n");
        	if(!param.get("P_DEMANDED_STATUS").isEmpty())
        		sqlstr.append("   AND A.STATUS_CD = '"+param.get("P_DEMANDED_STATUS")+"'																						\n");
			search.setStatement(sqlstr.toString());
            rowSet = search.execute();
        }
        catch (WAFSQLException se) {
            super.doException(se);
            this.storage.setSuccess(false);  
            this.storage.setMessage(se.getMessage());
            storage.setDetailMessage(se);
        }
        finally {    
            if(rowSet == null){
            	rowSet = new RowSetImpl();
            }
        }
        return rowSet;
	}
	

	
	/**
	 * 발주의뢰(외주) 접수 상세를 검색하여 리턴
	 * @param Params
	 * @return
	 */
	private ValueObject getOrderReqeustValueObject() {

		Search search = new SearchImpl();
        RowSet rowSet = new RowSetImpl();
        ValueObject valueobject = null;
     //   String sqlstr = "";
        StrBuffer sqlstr = new StrBuffer();
        try{
               sqlstr.append("       SELECT TO_CHAR(TO_DATE(A.DEMANDED_DATE,'YYYYMMDD'),'YYYY-MM-DD') AS DEMANDED_DATE,                                        \n");
		       sqlstr.append("       A.DEMANDED_TITLE,                                        \n");
		       sqlstr.append("       A.BID_MASTER_NM,                                        \n");
		       sqlstr.append("       A.DEMANDED_KIND,                                        \n");
		       sqlstr.append("       F_GET_CODE_NAME('911',A.CURRENCY_GB) AS CURRENCY_GB_NM,                                        \n");
		       sqlstr.append("       A.DEPT_CD,                                        \n");
		       sqlstr.append("       A.EMP_NO,                                        \n");
		       sqlstr.append("       GET_USER_BUSEO_NM(A.EMP_NO) AS BUSEO_NM,                                          \n");
		       sqlstr.append("       A.DELIVERY_CONDITION,                                        \n");
		       sqlstr.append("       A.OBC_IND_YN,                                        \n");
		       sqlstr.append("       A.CRE_BY,                                        \n");
		       sqlstr.append("       A.CRE_DATE,                                        \n");
		       sqlstr.append("       A.UPD_BY,                                        \n");
		       sqlstr.append("       A.UPD_DATE,                                        \n");
		       sqlstr.append("       A.DEMANDED_NO,                                        \n");
		       sqlstr.append("       A.BID_APP_DATE,                                        \n");
		       sqlstr.append("       A.BID_APP_NO,                                        \n");
		       sqlstr.append("       A.PAY_ITEM,                                        \n");
		       sqlstr.append("       F_GET_PAY_ITEM_VIEW(A.PAY_ITEM,A.COST_CODE,A.COST_TYPE,A.DEPT_CD) AS PAY_ITEM_NM,                \n");
		       sqlstr.append("       A.COST_CODE,                                        \n");
		       sqlstr.append("       A.COST_TYPE,                                        \n");
		       sqlstr.append("       TO_CHAR(A.RECEIPT_DATE,'YYYY-MM-DD') AS RECEIPT_DATE,                                        \n");
		       //sqlstr.append("       DECODE(A.SITEDESC_FLAG,'Y','예','N','아니오','') AS SITEDESC_FLAG,                                     \n");//  2018.07.06 
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', A.SITEDESC_FLAG, '25', A.SITEDESC_FLAG, '30',A.SITEDESC_FLAG, 'N') SITEDESC_FLAG ,                                  \n"); //2018.07.09 재입찰 견적설명회 아니오를 default
		       sqlstr.append("       A.SITEDESCCHRGPRSNID,                                        \n");
		       sqlstr.append("       F_GET_USER_NM(A.SITEDESCCHRGPRSNID) AS SITEDESCCHRGPRSNNM,                                        \n");
		       sqlstr.append("       A.SITEDESCTELNO,                                        \n");
		       //sqlstr.append("       TO_CHAR(A.SITEDESCDATE,'YYYY-MM-DD HH24:MI') AS SITEDESCDATE,                                        \n");
		       sqlstr.append("       TO_CHAR(A.SITEDESCDATE,'YYYY-MM-DD') AS SITEDESCDATE,                                        \n");
		       sqlstr.append("       TO_CHAR(A.SITEDESCDATE,'HH24') AS SITEDESCDATE_HH,                                        \n");
		       sqlstr.append("       TO_CHAR(A.SITEDESCDATE,'MI') AS SITEDESCDATE_MI,                                        \n");
		       sqlstr.append("       TO_CHAR(A.SITEDESCDATE,'YYYY-MM-DD') AS SITEDESCDT,                                        \n");
		       sqlstr.append("       A.SITEDESCPLACE,                                        \n");
		       sqlstr.append("       A.SITEDESCEMAIL,                                        \n");
		       sqlstr.append("       A.PUREMPNO,                                        \n");
		       sqlstr.append("       F_GET_USER_NM(A.PUREMPNO) AS PUREMPNM,                                        \n");
		       sqlstr.append("       A.INNER_REMARKS,                                        \n");
		       sqlstr.append("       A.TBE_FLAG,                                        \n");
		       sqlstr.append("       A.OUTER_REMARKS,                                        \n");
		       sqlstr.append("       A.DEMANDED_ID,                                        \n");
		       sqlstr.append("       TO_CHAR(A.REQUEST_DATE,'YYYY-MM-DD') AS REQUEST_DATE,                                        \n");
		       sqlstr.append("       A.ATT_ID,                                        \n");
		       sqlstr.append("       A.BID_NO,                                        \n");
		       sqlstr.append("       A.BID_DEG,                                        \n");
		       sqlstr.append("       F_GET_CODE_NAME('ONBID',ONBID_YN) AS ONBID_YN,                                       \n");
		       sqlstr.append("       F_GET_CODE_NAME('CMPT_CD',A.CMPT_CD) AS CMPT_NM,                                        \n");
		       sqlstr.append("       A.CMPT_CD,                                        \n");
		       sqlstr.append("       F_GET_CODE_NAME('SUCC_CD',A.SUCC_CD) AS SUCC_NM,                                        \n");
		       sqlstr.append("       A.SUCC_CD,                                        \n");
		       sqlstr.append("       TO_CHAR(TO_DATE(A.NOTI_DY,'YYYYMMDD'),'YYYY-MM-DD') AS NOTI_DY,                                        \n");
		       sqlstr.append("       A.SITEDESC_CRG_NM,                                        \n");
		       sqlstr.append("       TO_CHAR(A.BID_FROM_DT,'YYYY-MM-DD') AS BID_FROM_DT,                                        \n");
		       sqlstr.append("       TO_CHAR(A.BID_FROM_DT,'HH24') AS BID_FROM_HH,                                        \n");
		       sqlstr.append("       TO_CHAR(A.BID_FROM_DT,'MI') AS BID_FROM_MI,                                        \n");
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', TO_CHAR(A.BID_TO_DT,'YYYY-MM-DD'), '25', TO_CHAR(A.BID_TO_DT,'YYYY-MM-DD'),'30',TO_CHAR(A.BID_TO_DT,'YYYY-MM-DD'),  '')AS BID_TO_DT,                                        \n");
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', TO_CHAR(A.BID_TO_DT,'HH24'), '25', TO_CHAR(A.BID_TO_DT,'HH24'),'30',TO_CHAR(A.BID_TO_DT,'HH24'), '') AS BID_TO_HH,                                       \n");
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', TO_CHAR(A.BID_TO_DT,'MI'), '25', TO_CHAR(A.BID_TO_DT,'MI'),'30',TO_CHAR(A.BID_TO_DT,'MI'), '') AS BID_TO_MI,                                            \n");
/*		       sqlstr.append("       TO_CHAR(A.BID_TO_DT,'YYYY-MM-DD') AS BID_TO_DT,                                        \n");
		       sqlstr.append("       TO_CHAR(A.BID_TO_DT,'HH24') AS BID_TO_HH,                                        \n");
		       sqlstr.append("       TO_CHAR(A.BID_TO_DT,'MI') AS BID_TO_MI,                                        \n");
		       sqlstr.append("       '' AS BID_TO_DT,                                        \n");
		       sqlstr.append("       '' AS BID_TO_HH,                                        \n");
		       sqlstr.append("       '' AS BID_TO_MI,                                        \n");*/
		       sqlstr.append("       A.PO_EMPNM,                                        \n");
		       sqlstr.append("       A.OPEN_EMPNM,                                        \n");
		       sqlstr.append("       A.OPEN_EMPID,                                        \n");
		       sqlstr.append("       TO_CHAR(TO_DATE(A.DELI_FROM_DY,'YYYYMMDD'),'YYYY-MM-DD') AS DELI_FROM_DY,                                        \n");
		       sqlstr.append("       TO_CHAR(TO_DATE(A.DELI_TO_DY,'YYYYMMDD'),'YYYY-MM-DD') AS DELI_TO_DY,                                        \n");
		       sqlstr.append("       A.DELIVERY_PLACE,                                        \n");
		       sqlstr.append("       A.CONTFUL_RATE,                                        \n");
		       sqlstr.append("       A.CONTFUL_CONDI,                                        \n");
		       sqlstr.append("       A.WARR_RATE,                                        \n");
		       sqlstr.append("       A.WARR_CONDI,                                        \n");
		       sqlstr.append("       A.DEPT_NM,                                        \n");
		       sqlstr.append("       A.REQ_DEPT_CD,                                        \n");
		       sqlstr.append("       A.REQ_DEPT_NM,                                        \n");
		       sqlstr.append("       A.EMP_NM,                                        \n");
		       sqlstr.append("       A.STATUS_CD,                                        \n");
		       sqlstr.append("       F_GET_CODE_NAME('BID_STATUS_CD',A.STATUS_CD) AS STATUS_NM,                                      \n");    
		       sqlstr.append("       A.OPEN_DT,                                        \n");
		       sqlstr.append("       A.CONT_APP_DATE,                                        \n");
		       sqlstr.append("       A.CONT_APP_NO,                                        \n");
		       sqlstr.append("       A.CONT_AMT,                                        \n");
		       sqlstr.append("       A.ACT_AMT,                                        \n");
		       sqlstr.append("       A.ACT_RATE,                                        \n");
		       sqlstr.append("       A.PUR_AMT,                                        \n"); //구매외주 예산 2015.3.4 MKLEE
		       sqlstr.append("       A.DOC_ETC_IN,                                        \n");
		       sqlstr.append("       A.DOC_ETC_OUT,                                        \n");
		       //sqlstr.append("       '[재입찰]'||REPLACE(A.BID_MASTER_NM,'[재입찰]','') AS BID_MASTER_NM,      \n");입찰명 수정가능. 
		       sqlstr.append("       A.BID_MASTER_NM AS BID_MASTER_NM,      \n");
		       sqlstr.append("       A.POSTPONE_REASON,                                        \n");
		       sqlstr.append("       A.CANCEL_REASON,                                        \n");
		       sqlstr.append("       A.CURRENCY_GB_YN,                                        \n");
		       sqlstr.append("       A.CURRENCY_GB,                                        \n");
		       sqlstr.append("       A.DELIVERY_CONDITION_YN,                                        \n");
		       //sqlstr.append("       A.EXCHANGE                                        \n");
		       sqlstr.append("       TO_CHAR(B.SUPP_REQ_DY,'YYYY-MM-DD') AS SUPP_REQ_DY,                                        \n");
		       sqlstr.append("       B.EVAL_EMPNM,                                        \n");
		       sqlstr.append("       B.EVAL_EMPID,                                        \n");
		       sqlstr.append("       B.EVAL_TEL,                                        \n");
		       sqlstr.append("       A.OUT_ITEM_CD,                                        \n");
		       sqlstr.append("       GET_OUT_ITEM_NM(A.OUT_ITEM_CD) AS OUT_ITEM_NM,						\n");
		       sqlstr.append("       F_GET_CODE_NAME('CONT_TYPE',A.OBC_CONT_TYPE_CD) AS OBC_CONT_TYPE_NM,				\n");
		       sqlstr.append("       A.OBC_CONT_TYPE_CD,				\n");
		       sqlstr.append("       A.OBC_FRST_CASH_RATE,				\n");
		       sqlstr.append("       A.OBC_FRST_CONDI,				\n");
		       sqlstr.append("       A.OBC_FRST_CNT_CONDI,				\n");
		       sqlstr.append("       A.OBC_MID_CASH_RATE,				\n");
		       sqlstr.append("       A.OBC_MID_BILL_RATE,				\n");
		       sqlstr.append("       A.OBC_MID_PAYDAY,				\n");
		       sqlstr.append("       NVL(A.OBC_MID_REQ_MONTH,1) AS OBC_MID_REQ_MONTH,				\n");
		       sqlstr.append("       NVL(A.OBC_MID_CNT,1) AS OBC_MID_CNT,				\n");
		       sqlstr.append("       A.OBC_FIN_CASH_RATE,				\n");
		       sqlstr.append("       A.OBC_FIN_BILL_RATE,				\n");
		       sqlstr.append("       A.OBC_FIN_PAYDAY,				\n");
		       sqlstr.append("       A.OBC_FIN_CONDI,				\n");
		       sqlstr.append("       A.CBC_FIRST_RATE,				\n");
		       sqlstr.append("       A.CONTFUL_RATE,				\n");
		       sqlstr.append("       A.WARR_RATE,				\n");
		       sqlstr.append("       A.CBC_DEFECT_DAY,				\n");
		       sqlstr.append("       NVL(A.PAY_CON_RATE,0) AS PAY_CON_RATE,				\n");
		       sqlstr.append("       A.CBC_DAMAGE_RATE,				\n");
		       sqlstr.append("       A.CBC_DAMAGE_MAXRATE,				\n");
		       sqlstr.append("       A.OBC_EMP_RATE,				\n");
		       sqlstr.append("       A.OBC_EMP_YN,				\n");
		       sqlstr.append("       A.OBC_PENSION_RATE,				\n");
		       sqlstr.append("       A.OBC_PENSION_YN,				\n");
		       sqlstr.append("       A.OBC_HEALTH_RATE,				\n");
		       sqlstr.append("       A.OBC_HEALTH_YN,				\n");
		       sqlstr.append("       A.OBC_ELDER_RATE,				\n");
		       sqlstr.append("       A.OBC_ELDER_YN,				\n");
		       sqlstr.append("       A.OBC_WORK_RATE,				\n");
		       sqlstr.append("       A.OBC_WORK_YN,				\n");
		       sqlstr.append("       A.OBC_RESIGN_RATE,				\n");
		       sqlstr.append("       A.OBC_RESIGN_YN,				\n");
		       sqlstr.append("       A.OBC_SAFE_RATE,				\n");
		       sqlstr.append("       A.OBC_SAFE_YN,				\n");
		       sqlstr.append("       A.OBC_ENV_RATE,				\n");
		       sqlstr.append("       A.OBC_ENV_YN,				\n");
		       sqlstr.append("       A.OBC_SITE_RATE,				\n");
		       sqlstr.append("       A.OBC_SITE_YN,				\n");
		       sqlstr.append("       A.OBC_DUTY_RATE,				\n");
		       sqlstr.append("       A.OBC_DUTY_YN,				\n");
		       sqlstr.append("       A.OBC_WARR_YN,				\n");
		       sqlstr.append("       A.DELI_START_DT, 																\n");
		       sqlstr.append("       A.DELI_END_DT,																	\n");
		       sqlstr.append("       A.DELI_END_PLACE,																\n");
		       sqlstr.append("       A.MODIFY_REASON,				\n");
		       sqlstr.append("       A.OBC_FRST_CONT_RATE,																								\n");
		       sqlstr.append("       A.OBC_MID_BILL_DATE,																								\n");
		       sqlstr.append("       NVL(A.CPC_MID_RATE,100) AS CPC_MID_RATE,																											\n");
		       sqlstr.append("       NVL(A.PBC_REST_RATE,0) AS PBC_REST_RATE,																											\n");
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', A.REBID_REASON, '25', A.REBID_REASON, '30', A.REBID_REASON, '')  AS REBID_REASON,																											\n");
		       sqlstr.append("       DECODE(A.STATUS_CD, '20', A.REBID_OUTREASON, '25', A.REBID_OUTREASON, '30', A.REBID_OUTREASON, '')  AS REBID_OUTREASON,																												\n");
		       sqlstr.append("       A.MAIN_PR_CONTENTS, -- 주요발주내용							\n");
		       sqlstr.append("       A.BID_SUPP_SELECT_REASON, -- 입찰업체선정사유					\n");
		       sqlstr.append("       (SELECT DETAILCD FROM EBID_COM911T WHERE BASECD = 'REPORTER_LIST' AND CHG_CODE02 = 'OUT' AND DETAILSORTNM = 1) AS OUT_LEADER	\n");
		       sqlstr.append("        FROM BID_MASTER A  , TBE_INFO B                                      \n");
		       sqlstr.append("       WHERE A.BID_NO = '"+params.get("BID_NO")+"'							\n");
		       sqlstr.append("       AND A.BID_DEG = '"+params.get("BID_DEG")+"'							\n");
		       sqlstr.append("       AND A.BID_NO = B.BID_NO(+)							\n");
			   sqlstr.append("       AND A.BID_DEG = B.BID_DEG(+)							\n");
		       
		     //  sqlstr.append("       AND A.DEMANDED_DIV = 'O'							\n");   * 청구구분 O 인거 
        	search.setStatement(sqlstr.toString());
            rowSet = search.execute();
            if( rowSet != null && rowSet.size() > 0 ){
            	valueobject = RowSetUtility.getValueObject(rowSet.getRow(0));
            }
        }
        catch(WAFSQLException se) {
        	super.doException(se);
            this.storage.setSuccess(false);
            this.storage.setMessage(se.getMessage());
            storage.setDetailMessage(se);
        }
        finally {

        	if( valueobject == null ) valueobject = new ValueObject();
            return valueobject;
        }
	}
	
	/**
	 * 발주의뢰(외주) 접수 상세 / 견적대상업체 를 검색하여 리턴
	 * @param Params
	 * @return
	 */
	private RowSet getCorpList(String DEMANDED_ID) {

		Search search = new SearchImpl();
        RowSet rowSet = new RowSetImpl();
        
     //   String sqlstr = "";
        StrBuffer sqlstr = new StrBuffer();
        try{
        	sqlstr.append(" SELECT A.BID_NO,										\n");
        	sqlstr.append("        A.BID_DEG,											\n");
        	sqlstr.append("        A.VENDOR_CD,										\n");
        	sqlstr.append("        A.VENDOR_NO,										\n");
        	sqlstr.append("        A.VENDOR_NAME,									\n");
        	sqlstr.append("        A.REPRE_NO,										\n");
        	sqlstr.append("        A.CHARGE_NAME,									\n");
        	sqlstr.append("        A.CHAGE_HP,										\n");
        	sqlstr.append("        A.CHARGE_EMAIL,									\n");
        	sqlstr.append("        A.CURRENCY_GB,									\n");
        	sqlstr.append("        A.EXCHANGE,										\n");
        	sqlstr.append("        A.DELIVERY_CONDITION,						\n");
        	sqlstr.append("        DECODE(B.SITEDESC_FLAG,'Y',A.SITEPARTI_YN,'Y') AS SITEPARTI_YN,									\n");
        	sqlstr.append("        NVL(A.SITE_ATTEND_YN,'NULL') AS SITE_ATTEND_YN,					\n");
        	sqlstr.append("        A.TBEAPPR_YN,									\n");
        	sqlstr.append("        A.TBEEVALUATE_YN,								\n");
        	sqlstr.append("        A.CERT_DN,											\n");
        	sqlstr.append("        A.ESTI_SIGNDATA,								\n");
        	sqlstr.append("        A.ATT_ID,											\n");
        	sqlstr.append("        A.RECM_DEPT_ID,									\n");
        	sqlstr.append("        A.RECM_DEPT_NM,								\n");
        	sqlstr.append("        A.RECM_EMPID,									\n");
        	sqlstr.append("        A.RECOMMEND_REASON,						\n");
        	sqlstr.append("        CASE WHEN A.SITEPARTI_YN = 'Y' AND A.ESTI_TOT_AMT > 0 THEN F_GET_D_CURRENCY(A.ESTI_TOT_AMT,F_GET_CURRENCY_DIGIT(B.CURRENCY_GB))									\n");		
    		sqlstr.append("        WHEN ESTI_TOT_AMT IS NULL AND RNNC_REASON IS NULL  THEN '미제출'											\n");													
        	sqlstr.append("        WHEN RNNC_REASON IS NOT NULL THEN '입찰포기('||TO_CHAR(BID_RNNC_DT,'YYYY-MM-DD HH24:MI')||')' 									\n");
        	sqlstr.append("        ELSE F_GET_D_CURRENCY(A.ESTI_TOT_AMT,F_GET_CURRENCY_DIGIT(B.CURRENCY_GB)) END AS ESTI_TOT_AMT,									\n");
        	sqlstr.append("        REPLACE(TRIM(TO_CHAR(ROUND((A.ESTI_TOT_AMT/B.ACT_AMT * 100),1),'999,999,999.99')),'.00') AS ESTI_TOT_RATE,								\n");
        	sqlstr.append("        F_GET_D_CURRENCY(A.WON_ESTI_TOT_AMT,F_GET_CURRENCY_DIGIT(B.CURRENCY_GB)) AS WON_ESTI_TOT_AMT,						\n");
        	sqlstr.append("        A.SUCC_YN,										\n");
        	sqlstr.append("        A.FIB_REASON,									\n");
        	sqlstr.append("        A.DISQ_REASON,									\n");
        	sqlstr.append("        A.SIGN_DT,                                        \n");
        	sqlstr.append("        A.BID_RNNC_DT,									\n");
        	sqlstr.append("        A.RNNC_REASON,									\n");
        	sqlstr.append("        A.BID_RNNC_ID,									\n");
        	sqlstr.append("        A.BID_RNNC_NM,									\n");
        	sqlstr.append("        A.RECM_DEPT_NM,								\n");
        	sqlstr.append("        A.RECM_DEPT_ID,									\n");
        	sqlstr.append("        A.CRE_BY,											\n");
        	sqlstr.append("        A.CRE_DATE,										\n");
        	sqlstr.append("        A.UPD_BY,											\n");
        	sqlstr.append("        A.UPD_DATE, '1' AS IMG_GB						\n");
        	sqlstr.append("   FROM BID_SUPP A	,BID_MASTER B				\n");
        	sqlstr.append(" WHERE A.BID_NO = '"+params.get("BID_NO")+"'	\n");
        	sqlstr.append(" AND A.BID_DEG = '"+params.get("BID_DEG")+"'		\n");
        	sqlstr.append(" AND A.BID_NO =  B.BID_NO							\n");
        	sqlstr.append(" AND A.BID_DEG = B.BID_DEG							\n");
        	sqlstr.append(" ORDER BY A.ESTI_TOT_AMT ASC					\n");
			
			search.setStatement(sqlstr.toString());
            rowSet = search.execute();
        }
        catch (WAFSQLException se) {
            super.doException(se);
            this.storage.setSuccess(false);
            this.storage.setMessage(se.getMessage());
            storage.setDetailMessage(se);
        }
        finally {    
            if(rowSet == null){
            	rowSet = new RowSetImpl();
            }
        }
        
        return rowSet;
	}
	
	
}